org.apache.hc.client5.http.async.methods

## Class IgnoreCompleteExceptonFutureCallback<T>

- java.lang.Object
- - org.apache.hc.client5.http.async.methods.IgnoreCompleteExceptionFutureCallback<T>
  - - org.apache.hc.client5.http.async.methods.IgnoreCompleteExceptonFutureCallback<T>

Type Parameters:
  `T` - the future result type returned by this callback.

All Implemented Interfaces:
  FutureCallback<T>

Deprecated.
Use `IgnoreCompleteExceptionFutureCallback`

    @Deprecated
    public class IgnoreCompleteExceptonFutureCallback<T>
    extends IgnoreCompleteExceptionFutureCallback<T>

Since:
  5.2

### Constructor Summary

Constructors
Constructor and Description
`IgnoreCompleteExceptonFutureCallback(FutureCallback<T> callback)` Deprecated.

### Method Summary

### Methods inherited from class org.apache.hc.client5.http.async.methods.IgnoreCompleteExceptionFutureCallback

`cancelled, completed, failed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgnoreCompleteExceptonFutureCallback

    public IgnoreCompleteExceptonFutureCallback(FutureCallback<T> callback)

Deprecated.